## python-scientific 2.9.2

=== debian/changelog ===
python-scientific (2.9.2-4) unstable; urgency=low

  * debian/rules clean a few file to build twice without problem.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 12 May 2013 11:37:16 +0200

python-scientific (2.9.2-3) unstable; urgency=low

  * Uploaded to unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 12 May 2013 08:32:07 +0200

python-scientific (2.9.2-2) experimental; urgency=low

  * fix the FTBFS when building only the arch packages.
    do not install the upstream changelog in that case.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Apr 2013 17:52:17 +0200

python-scientific (2.9.2-1) experimental; urgency=low

  * Imported Upstream version 2.9.2
    (Closes: #263254, #270930, #350109, #379745, #458034, #491538, #651502)
  * Maintained under Debian-Science umbrella (Closes: #624748)
  * Switch to source format 3.0 (quilt)
  * Use dh instead of plain debhelper
  * Switch to compat level 9
  * Bump Standards-Version 3.9.4 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 20 Jan 2013 17:01:32 +0200

python-scientific (2.8-4) unstable; urgency=low

  * QA upload.
  * Use correct python platform value on kfreebsd (closes: #692281).
  * Build-depend and depend python-numpy >= 1:1.6.1-1 due to ABI change
    between numpy 1.5 and 1.6 (closes: #692318).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Nov 2012 22:52:37 +0000

python-scientific (2.8-3) unstable; urgency=low

  * QA upload.
  * Replace EOLed MPI implementations (LAM, MPICH1) with actively maintained
    implementations (OpenMPI, MPICH2).  (Closes: #571452)
  * Break python-scientific/python-netcdf circular dependency by changing p-s
    to Recommend p-n.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 10 May 2011 14:33:35 -0700

python-scientific (2.8-2) unstable; urgency=low

  * Orphan the package.
  * Build using dh_python2. Closes: #617027.

 -- Matthias Klose <doko@debian.org>  Sun, 01 May 2011 10:36:03 +0200

python-scientific (2.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add a recommends on pyro.  Recommends, as most of python-scientific is
    usable without it.  Only DistributedComputing depends on it.
    (Closes: #567864)
  * Rename /usr/bin/task_manager to /usr/bin/task_manager_pyscientific.
    (Closes: #547511)

 -- Richard Darst <rkd@zgib.net>  Sun, 31 Jan 2010 16:10:34 -0500

python-scientific (2.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
    - Applied Kumar's patch for fixes below and uploaded it.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    (Closes: #547852)
  * Fix "FTBFS due to netcdfg-dev not being available anymore"
    (Closes: #549477)

 -- Bastian Venthur <venthur@debian.org>  Sat, 07 Nov 2009 13:11:03 +0100

python-scientific (2.8-1) unstable; urgency=low

  * New upstream version.
  * Build against NumPY. Closes: #478460.
  * Complete sentences in package descriptions. Closes: #475997, #475996,
    #475999.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Sep 2009 23:37:22 +0200

python-scientific (2.4.11-2) unstable; urgency=low

  * Rebuild to move files to /usr/share/pyshared. Closes: #490498, #490500.
  * Update watch file. Closes: #449764.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Jul 2008 13:37:40 +0200

python-scientific (2.4.11-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix use of Python API memory handling functions.
    Closes: #468999

 -- Thomas Viehmann <tv@beamnet.de>  Wed, 05 Mar 2008 18:29:30 +0100

python-scientific (2.4.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * use source:Version instead of Source-Version where appropriate
    closes: 465685
  * enforce gfortran version of python-numeric-ext
  * add python-central build-dep

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 27 Feb 2008 01:12:49 +0200

python-scientific (2.4.11-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Oct 2006 02:09:13 +0000

python-scientific (2.4.9-6) unstable; urgency=low

  * Fix python-scientific / python-netcdf dependency. Closes: #374801.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Jun 2006 19:25:28 +0000

python-scientific (2.4.9-5) unstable; urgency=low

  * Convert to the updated Python policy. Closes: #373351.
    ... makes Scientific available for different python versions.
    Closes: #319384.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 22:02:26 +0000

python-scientific (2.4.9-4) unstable; urgency=low

  * python-scientific-doc: Install doc-base file (closes: #306514).
  * python-netcdf: Add dependency on python-scientific, needed by
    the Scientific/IO/NetCDF module (closes: #344090).
  * Rebuild to fix dependency on libnetcdf3 (closes: #352232).
  * Rebuild to fix dependency on lam4c2 (closes: #323414).

 -- Matthias Klose <doko@debian.org>  Sun, 12 Feb 2006 21:46:50 +0000

python-scientific (2.4.9-3) unstable; urgency=low

  * Rebuild for C++ ABI change.

 -- Matthias Klose <doko@debian.org>  Fri,  2 Sep 2005 20:16:53 +0000

python-scientific (2.4.9-2) unstable; urgency=low

  * python-mpi: Add dependency on python-scientific (thanks Yu Huang).

 -- Matthias Klose <doko@debian.org>  Sun,  3 Apr 2005 16:45:47 +0200

python-scientific (2.4.9-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Nov 2004 07:18:34 +0100

python-scientific (2.4.6-2) unstable; urgency=low

  * Both mpichpython and lampython now provide 'mpipython' (closes: 268940).
  * Change priority of lampython to extra.
  * Update HTML docs (closes: #268256).

 -- Matthias Klose <doko@debian.org>  Tue, 21 Sep 2004 07:42:15 +0200

python-scientific (2.4.6-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue,  6 Jul 2004 01:07:07 +0200

python-scientific (2.4.5-2) unstable; urgency=low

  * lampython: depend on lam-runtime (closes: #236997).

 -- Matthias Klose <doko@debian.org>  Tue,  9 Mar 2004 21:00:34 +0100


