=== debian/control ===
Source: python-scientific
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               libmpich2-dev,
               libnetcdf-dev,
               libopenmpi-dev [alpha amd64 armel armhf i386 ia64 powerpc powerpcspe ppc64 sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
               python-all-dev,
               python-numpy
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-scientific.git
Vcs-Git: git://git.debian.org/git/debian-science/packages/python-scientific.git
Homepage: https://bitbucket.org/khinsen/scientificpython

Package: python-scientific
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: pyro,
            python-netcdf,
            python-tk
Suggests: python-scientific-doc
Provides: ${python:Provides}
Replaces: python-netcdf (<< 2.9.2-1)
Description: Python modules useful for scientific computing
 ScientificPython is a collection of Python modules that are
 useful for scientific computing. Most modules are rather general,
 others belong to specific domains and will be of interest to only a
 small number of users (e.g. the module Scientific.IO.PDB). Almost all
 modules make extensive use of Numerical Python (NumPy)

Package: python-netcdf
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-scientific (= ${binary:Version})
Provides: ${python:Provides}
Description: netCDF interface for Python
 A Python module to access netCDF files. NetCDF (network Common Data Form)
 is an interface for scientific data access and a freely-distributed
 software library that provides an implementation of the interface.

Package: python-scientific-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Python modules useful for scientific computing
 ScientificPython is a collection of Python modules that are
 useful for scientific computing. Most modules are rather general,
 others belong to specific domains and will be of interest to only a
 small number of users (e.g. the module Scientific.IO.PDB). Almost all
 modules make extensive use of Numerical Python (NumPy)

Package: python-mpi
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-scientific (>= ${source:Version})
Description: MPI module for Python
 The package provides MPI (Message Passing Interface, message-based
 parallel programming) support for Python.

Package: mpich2python
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-mpi (>= ${source:Version})
Conflicts: python-mpi (<< 2.4.3-3)
Provides: mpipython
Description: MPI-enhanced Python interpreter (MPICH2 based version)
 The package provides a python interpreter with MPI (Message Passing Interface,
 message-based parallel programming) support.

Package: openmpipython
Architecture: amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Priority: extra
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         openmpi-bin,
         python-mpi (>= ${source:Version})
Provides: mpipython
Description: MPI-enhanced Python interpreter (OpenMPI based version)
 The package provides a python interpreter with MPI (Message Passing Interface,
 message-based parallel programming) support.
