## python-scientific 2.9.4

=== debian/changelog ===
python-scientific (2.9.4-1) unstable; urgency=medium

  * Imported Upstream version 2.9.4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 24 Jan 2014 18:23:27 +0100

python-scientific (2.9.3-2) unstable; urgency=medium

  * do not install the _netcdf.so extension in python-scientific
    (Closes: #736468) thanks to Yannick Roehlly

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 24 Jan 2014 07:54:45 +0100

python-scientific (2.9.3-1) unstable; urgency=medium

  * Imported Upstream version 2.9.3
  * Bump Standards-Version 3.9.5 (nothing to do)
  * Build-Depends on cython and use the .pyx files instead of the
    pre-compiled .c extensions.
  * Execute the test suite during the build
  * debian/patches
    - deleted (applyed by upstream)
      - 0001-replace-PyObject_NEW-Pyobject_new.patch
      - 0003-feature-forwarded-numpy-arrayobject-header.patch
    - renamed
      - 0002-debian-deal-with-mpi-compilers.patch
        -> 0001-debian-deal-with-mpi-compilers.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 23 Jan 2014 13:15:39 +0100

python-scientific (2.9.2-5) unstable; urgency=low

  * handled the link to directory conversion done with the
    last upload of mpich2python and openmpipython documentation
    (Closes: #720150)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 19 Aug 2013 16:26:00 +0200
