=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: extra
-Build-Depends: debhelper (>= 9),
+Build-Depends: cython,
+               debhelper (>= 9),
                libmpich2-dev,
                libnetcdf-dev,
                libopenmpi-dev [alpha amd64 armel armhf i386 ia64 powerpc powerpcspe ppc64 sparc sparc64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
                python-all-dev,
                python-numpy
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-scientific.git
 Vcs-Git: git://git.debian.org/git/debian-science/packages/python-scientific.git
