=== debian/watch ===
version=3
http://sourcesup.cru.fr/frs/?group_id=180 \
	.*ScientificPython-([\d\.]*)\.tar\.gz
